# eric4.QScintilla.Lexers.LexerPascal

Module implementing a Pascal lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPascal | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPascal

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPascal, Lexer

### Class Attributes

None

### Methods

LexerPascal | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerPascal (Constructor)

LexerPascal(parent = None)

Constructor

parent
  parent widget of this lexer

#### LexerPascal.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerPascal.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPascal.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerPascal.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up